# List all production orders for a factory (/docs/api-reference/production-orders/ProductionOrdersController_findAll)

`GET /api/factories/{factoryId}/production-orders`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `state` | query | no | string | Filter by state |
| `machineId` | query | no | string | Filter by assigned machine |
| `productId` | query | no | string | Filter by product ID |
| `startDate` | query | no | string | Filter by planned start date (ISO) |
| `endDate` | query | no | string | Filter by planned end date (ISO) |

## Responses

### 200: List of production orders